#include "aliases.h"
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

i32 main(i32 argc, char *argv[]) {
  if (argc < 2) {
    printf("Missing filename\n");

    return EXIT_FAILURE;
  }

  const char *filename = argv[1];

  FILE *fp = fopen(filename, "r");
  if (!fp) {
    printf("Failed to open file: %s\n", filename);

    return EXIT_FAILURE;
  }

  fseek(fp, 0, SEEK_END);

  u64 length = ftell(fp);

  fseek(fp, 0, SEEK_SET);

  char text[length + 1];

  memset(text, 0, length);

  fread(text, sizeof(char), length, fp);
  text[length] = '\0';

  const char *delim = ", \t\n";

  char *token = strtok(text, delim);
  while (token) {
    printf("TOKEN: %s\n", token);

    token = strtok(NULL, delim);
  }

  fclose(fp);

  return EXIT_SUCCESS;
}
